%define __distdep %(/bin/rpm -qf /etc/redhat-release | %{__sed} 's/-[^-]*$//' | %{_bindir}/head -1)
%define __distpkg %(echo %{__distdep} | %{__sed} 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | %{__sed} 's/.*-//' | %{_bindir}/tr -d '[:alpha:]')
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | %{_bindir}/tr -d '[:space:]' | %{_bindir}/cut -c 1-4 | %{_bindir}/tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%define __perl_package Mail-SRS

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	0.31
Release:	1.%{__distinit}%{__distvers}
License:	Artistic
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Source1:	Mail-SRS-dependency-generator.sh
Url:		http://www.anarres.org/projects/srs/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}
Requires:	perl-MLDBM, perl-Digest-HMAC
BuildRequires:	perl-MLDBM, perl-Digest-HMAC
%if %(echo %{__distinit} | /bin/egrep -qvx '(rh|wb)e?l'; echo $?)
# Separate perl-DB_File RPM required for Red Hat Linux & Red Hat Enterprise Linux
Requires:	perl-DB_File
BuildRequires:	perl-DB_File
%endif
BuildArch:	noarch

%define _use_internal_dependency_generator 0
%define	__find_requires	%{SOURCE1}

%description
The Sender Rewriting Scheme preserves .forward functionality in an
SPF-compliant world.

SPF requires the SMTP client IP to match the envelope sender
(return-path). When a message is forwarded through an intermediate
server, that intermediate server may need to rewrite the return-path to
remain SPF compliant. If the message bounces, that intermediate server
needs to validate the bounce and forward the bounce to the original
sender.

SRS provides a convention for return-path rewriting that allows
multiple forwarding servers to compact the return-path. SRS also
provides an authentication mechanism to ensure that purported bounces
are not arbitrarily forwarded.

SRS is documented at http://spf.pobox.com/srs.html and many points about
the scheme are discussed at http://www.anarres.org/projects/srs/

%prep
%setup -q -n %{__perl_package}-%{version}

%build
(echo y; echo y; echo y) |
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}
%{__make} test

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ]; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST TODO eg

%changelog
* Mon Oct 25 2004 Paul Howarth <paul@city-fan.org> 0.31-1
- Update to 0.31.

* Tue Aug 17 2004 Paul Howarth <paul@city-fan.org> 0.30-4
- Red Hat Enterprise Linux also requires perl-DB_File.
- General tidy up of spec file.

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.30-3
- Fixed detection of Red Hat Linux for perl-DB_File dependency.
- Added perl-Digest-HMAC dependency.

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 0.30-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.
- perl-DB_File dependency only needed for Red Hat Linux.

* Fri Mar 12 2004 Paul Howarth <paul@city-fan.org> 0.30-1
- Update to 0.30.

* Wed Mar 03 2004 Paul Howarth <paul@city-fan.org> 0.29-1
- Update to 0.29.
- Add Mail-SRS-dependency-generator.sh to filter out requirement
  for /sbin/runscript that comes from eg/gentoo/srsd.

* Tue Feb 24 2004 Paul Howarth <paul@city-fan.org> 0.27-1
- Update to 0.27.

* Mon Feb 23 2004 Paul Howarth <paul@city-fan.org> 0.26-1
- Update to 0.26.

* Thu Feb 19 2004 Paul Howarth <paul@city-fan.org> 0.25-1
- Update to 0.25.
- Removed OLD-DOCS.

* Wed Feb 18 2004 Paul Howarth <paul@city-fan.org> 0.22-1
- Initial build.
